Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.webapp.taglib
Class MethodBindingMethodExpressionAdaptor

    java.lang.Object
      javax.faces.el.MethodBinding
          org.richfaces.webapp.taglib.MethodBindingMethodExpressionAdaptor

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class MethodBindingMethodExpressionAdaptor

extends javax.faces.el.MethodBinding
implements javax.faces.component.StateHolder

Maps `MethodExpression` to `MethodBinding`

Author:
  Maksim Kaszynski

Constructor Summary
`MethodBindingMethodExpressionAdaptor()`
`MethodBindingMethodExpressionAdaptor(javax.el.MethodExpression expression)`

Method Summary
`java.lang.String` | `getExpressionString()`
`java.lang.Class<?>` | `getType(javax.faces.context.FacesContext context)`
`java.lang.Object` | `invoke(javax.faces.context.FacesContext context, java.lang.Object[] params)`
`boolean` | `isTransient()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setTransient(boolean newTransientValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodBindingMethodExpressionAdaptor

    public MethodBindingMethodExpressionAdaptor()

### MethodBindingMethodExpressionAdaptor

    public MethodBindingMethodExpressionAdaptor(javax.el.MethodExpression expression)

Method Detail

### getType

    public java.lang.Class<?> getType(javax.faces.context.FacesContext context)
                               throws javax.faces.el.MethodNotFoundException

  Specified by:
    `getType` in class `javax.faces.el.MethodBinding`
  Throws:
    `javax.faces.el.MethodNotFoundException`

### invoke

    public java.lang.Object invoke(javax.faces.context.FacesContext context,
                                   java.lang.Object[] params)
                            throws javax.faces.el.EvaluationException,
                                   javax.faces.el.MethodNotFoundException

  Specified by:
    `invoke` in class `javax.faces.el.MethodBinding`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.MethodNotFoundException`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### setTransient

    public void setTransient(boolean newTransientValue)

  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`

### getExpressionString

    public java.lang.String getExpressionString()

  Overrides:
    `getExpressionString` in class `javax.faces.el.MethodBinding`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.